Package ch.qos.logback.core.pattern

## Class Converter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>

Direct Known Subclasses:
  `FormattingConverter`, `LiteralConverter`

    public abstract class Converter<E>
    extends java.lang.Object

A minimal converter which sets up the general interface for derived classes. It also implements the functionality to chain converters in a linked list.

Author:
  ceki

### Constructor Summary

Constructors
`Converter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `convert​(E event)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`Converter<E>` `getNext()`
`void` `setNext​(Converter<E> next)`
`void` `write​(java.lang.StringBuilder buf, E event)` In its simplest incarnation, a convert simply appends the data extracted from the event to the buffer passed as parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Converter

    public Converter()

### Method Detail

#### convert

    public abstract java.lang.String convert​(E event)

The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Parameters:
  `event` -

#### write

    public void write​(java.lang.StringBuilder buf,
                      E event)

In its simplest incarnation, a convert simply appends the data extracted from the event to the buffer passed as parameter.

Parameters:
  `buf` - The input buffer where data is appended
  `event` - The event from where data is extracted

#### setNext

    public final void setNext​(Converter<E> next)

#### getNext

    public final Converter<E> getNext()